Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.theme.plugin.exception
Class ThemeExtensionInitException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ibm.portal.theme.plugin.exception.ThemeExtensionInitException

All Implemented Interfaces:
  Localized, java.io.Serializable

    public abstract class ThemeExtensionInitException

extends java.lang.Exception
implements Localized

Root exception for all state related exceptions. Should be sub-classed by specific exceptions.

Since:
  6.0
See Also:
  Serialized Form
Note:

  This interface is designed to be implemented by clients.

Constructor Summary
`protected` | `ThemeExtensionInitException()` Empty constructor
`` | `ThemeExtensionInitException(java.lang.Throwable aReason)` Initializes the exception with the reason of the exception.
`` | `ThemeExtensionInitException(java.lang.Throwable reason, java.lang.String aSourceID, java.lang.String aProbeID, java.util.Collection<java.lang.Object> c)` Use this to construct FFDC exception wrapping the throwable while passing additional information to add to FFDC dump.

Method Summary
`java.util.Collection<java.lang.Object>` | `getObjectsToDumpInFFDC()`
`java.lang.String` | `getProbeID()`
`java.lang.String` | `getSourceID()`
`boolean` | `isResetFFDCAfterLogging()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ibm.portal.Localized
`getDescription, getLocales, getTitle`

Constructor Detail

### ThemeExtensionInitException

    protected ThemeExtensionInitException()

  Empty constructor

### ThemeExtensionInitException

    public ThemeExtensionInitException(java.lang.Throwable aReason)

  Initializes the exception with the reason of the exception.

  Parameters:
    `aReason` - Exception that provides details on the reason of failure (must not be null).

### ThemeExtensionInitException

    public ThemeExtensionInitException(java.lang.Throwable reason,
                                       java.lang.String aSourceID,
                                       java.lang.String aProbeID,
                                       java.util.Collection<java.lang.Object> c)

  Use this to construct FFDC exception wrapping the throwable while passing additional information to add to FFDC dump.

  Parameters:
    `reason` - - nested throwable
    `aSourceID` - - the name of the class in which the exception was created
    `aProbeID` - - a method name/unique identifier tuple, where the method name is the one of the method in which the exception was created, and the unique identifier is an number used for the particular position in the method. E.g. "myMethod/2"
    `c` - - A collection of objects to be put into the FFDC dump

Method Detail

### getObjectsToDumpInFFDC

    public java.util.Collection<java.lang.Object> getObjectsToDumpInFFDC()

### getProbeID

    public java.lang.String getProbeID()

### getSourceID

    public java.lang.String getSourceID()

### isResetFFDCAfterLogging

    public boolean isResetFFDCAfterLogging()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD